// Copyright 2024 Bytedance Inc. All Rights Reserved.
// Author: tianlei.richard@bytedance.com (tianlei.richard)

#pragma once

#include "common.h"

class PointLamp {
public:
  PointLamp(const Point3d &pos, const double intensity);

public:
  void transform(const TransformMatrix &mtx);

  double get_intensity() const;
  const Point3d &get_position() const;

private:
  Point3d position_;
  double intensity_;
};
